package com.sooka.sponest.monitor.camera.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 摄像头通道对象 centermonitor_t_camerachannel
 *
 * @author ruoyi
 * @date 2022-06-10
 */
public class CentermonitorTCamerachannel extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private String id;

    /** 数据状态(1-可用 2-不可用 ) */
    @Excel(name = "数据状态(1-可用 2-不可用 )")
    private String dataStatus;

    /** 数据所属部门(政或党的id) */
    @Excel(name = "数据所属部门(政或党的id)")
    private Long dataDeptId;

    /** 摄像头ID */
    @Excel(name = "摄像头ID")
    private String cameraId;

    /** 通道编号 */
    @Excel(name = "通道编号")
    private String channelCode;

    /** 通道名称 */
    @Excel(name = "通道名称")
    private String channelName;

    /** 通道类型（1-红外 2-高清） */
    @Excel(name = "通道类型", readConverterExp = "1=-红外,2=-高清")
    private String channelType;

    private String deviceCode;
    private String deviceSn;
    private String deviceProtocolType;
    private String deviceLoginType;

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getDeviceProtocolType() {
        return deviceProtocolType;
    }

    public void setDeviceProtocolType(String deviceProtocolType) {
        this.deviceProtocolType = deviceProtocolType;
    }

    public String getDeviceLoginType() {
        return deviceLoginType;
    }

    public void setDeviceLoginType(String deviceLoginType) {
        this.deviceLoginType = deviceLoginType;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setDataStatus(String dataStatus)
    {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus()
    {
        return dataStatus;
    }
    @Override
    public void setDataDeptId(Long dataDeptId)
    {
        this.dataDeptId = dataDeptId;
    }
    @Override
    public Long getDataDeptId()
    {
        return dataDeptId;
    }
    public void setCameraId(String cameraId)
    {
        this.cameraId = cameraId;
    }

    public String getCameraId()
    {
        return cameraId;
    }
    public void setChannelCode(String channelCode)
    {
        this.channelCode = channelCode;
    }

    public String getChannelCode()
    {
        return channelCode;
    }
    public void setChannelName(String channelName)
    {
        this.channelName = channelName;
    }

    public String getChannelName()
    {
        return channelName;
    }
    public void setChannelType(String channelType)
    {
        this.channelType = channelType;
    }

    public String getChannelType()
    {
        return channelType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("dataStatus", getDataStatus())
            .append("dataDeptId", getDataDeptId())
            .append("cameraId", getCameraId())
            .append("channelCode", getChannelCode())
            .append("channelName", getChannelName())
            .append("channelType", getChannelType())
            .append("deviceCode", getDeviceCode())
            .append("deviceSn", getDeviceSn())
            .append("deviceProtocolType", getDeviceProtocolType())
            .append("deviceLoginType", getDeviceLoginType())
            .toString();
    }
}
